curl --request POST \
--url https://api.brightdata.com/zone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"zone": {
"name": "zone-name",
"type": "serp"
},
"plan": {
"type": "static",
"domain_whitelist": "<string>",
"ips_type": "shared",
"bandwidth": "bandwidth",
"ip_alloc_preset": "shared_block",
"ips": 0,
"country": "any",
"country_city": "any",
"mobile": "false",
"serp": "false",
"city": "false",
"asn": "false",
"vip": "false",
"vips_type": "shared",
"vips": "0",
"vip_country": "<string>",
"vip_country_city": "any"
}
}
'Add a new zone
curl --request POST \
--url https://api.brightdata.com/zone \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"zone": {
"name": "zone-name",
"type": "serp"
},
"plan": {
"type": "static",
"domain_whitelist": "<string>",
"ips_type": "shared",
"bandwidth": "bandwidth",
"ip_alloc_preset": "shared_block",
"ips": 0,
"country": "any",
"country_city": "any",
"mobile": "false",
"serp": "false",
"city": "false",
"asn": "false",
"vip": "false",
"vips_type": "shared",
"vips": "0",
"vip_country": "<string>",
"vip_country_city": "any"
}
}
'Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Zone added
Was this page helpful?